<ui:composition xmlns="http://www.w3.org/1999/xhtml"
	xmlns:h="http://xmlns.jcp.org/jsf/html"
	xmlns:f="http://xmlns.jcp.org/jsf/core"
	xmlns:ui="http://xmlns.jcp.org/jsf/facelets"
	xmlns:p="http://primefaces.org/ui">
	<h1>
		<small>Pedidos e Devoluções</small>
	</h1>
	<p:tabView id="tabVendas">
		<p:tab title="Pedidos e Devoluções">
			<h:form id="frm">
				<p:panel id="status">
					<h1 class="aw-page-title">#{movimentoController.statusVenda}</h1>
					<p:commandButton id="iniciar" styleClass="corAzul" value="Iniciar"
						action="#{movimentoController.getIniciarVenda}"
						disabled="#{movimentoController.ativo}"
						update="status iniciar painelCliente painelItens finalizar botaoCancelar growl" />
				</p:panel>
				<p:panel id="painelCliente">
					<p:panelGrid columns="4" styleClass="semBorda">
						<p:outputLabel value="Cliente: " />
						<p:outputLabel value="Vendedor:" />
						<p:outputLabel value="Fomra de Pagamento:" />
						<p:outputLabel value="Valor do Frete:" />

						<p:autoComplete id="nomeCliente"
							disabled="#{!movimentoController.ativo}"
							completeMethod="#{movimentoController.clientes}" size="70"
							value="#{movimentoController.movimento.clienteMovimento}"
							var="cliente" itemLabel="#{cliente.nome}" itemValue="#{cliente}"
							required="true" label="Digite o nome do cliente para selecionar"
							converter="genericConverter" forceSelection="true">
							<p:ajax event="itemSelect"
								listener="#{movimentoController.getSelecionouCliente}"
								update="painelCliente growl" />
						</p:autoComplete>

						<p:inputText disabled="#{!movimentoController.ativo}"
							label="Informe o Vendedor" onkeyup="caps(this)"
							onblur="caps(this)">
							<p:ajax event="blur" />
						</p:inputText>

						<p:selectOneMenu maxlength="10" autoWidth="true"
							style="width:150px;" disabled="#{!movimentoController.ativo}"
							id="formaPag" converter="genericConverter"
							value="#{movimentoController.movimento.condicaoPagamento}">
							<f:selectItems
								value="#{movimentoController.listaCondicaoPagamento}"
								var="pagamento" itemLabel="#{pagamento.nomeCondicao}"
								itemValue="#{pagamento}" />
						</p:selectOneMenu>

						<p:inputNumber id="valorFrete"
							disabled="#{!movimentoController.ativo}"
							value="#{movimentoController.movimento.freteMovimento}" />
					</p:panelGrid>
				</p:panel>
				<p:panel id="painelItens">
					<p:panelGrid columns="6" id="panelItemMovimento"
						styleClass="semBorda">
						<p:outputLabel value="Produto" for="nomeProduto" />
						<p:outputLabel value="Qtd" for="qtd" />
						<p:outputLabel value="Estoque" for="estoque" />
						<p:outputLabel value="Valor" for="valorProd" />
						<p:outputLabel value="% Desconto" />
						<p:outputLabel />

						<p:autoComplete id="nomeProduto"
							disabled="#{!movimentoController.ativo}"
							completeMethod="#{movimentoController.produtos}" size="50"
							value="#{movimentoController.produtoSelecionado}" var="produto"
							itemLabel="#{produto.nomeProduto}" itemValue="#{produto}"
							required="true" converter="genericConverter"
							forceSelection="true">
							<p:ajax event="itemSelect"
								listener="#{movimentoController.getSelecionouProduto}"
								update="painelItens growl" />
						</p:autoComplete>

						<p:inputNumber id="qtd" disabled="#{!movimentoController.ativo}"
							value="#{movimentoController.quantidadeProduto}" size="10"/>
							
						<p:inputText id="estoque" style="background-color: #3C8DBC;" readonly="true" 
							value="#{movimentoController.produtoSelecionado.quantidade}" size="10"/>

						<p:inputNumber id="valorProd"
							disabled="#{!movimentoController.ativo}"
							value="#{movimentoController.valorProduto}" />

						<p:inputNumber id="desconto"
							disabled="#{!movimentoController.ativo}"
							value="#{movimentoController.descontoProduto}" symbolPosition="s"
							emptyValue="sign">
							<p:ajax update="desconto" />
						</p:inputNumber>

						<p:commandButton value="Inserir" id="inserir"
							disabled="#{!movimentoController.ativo}"
							action="#{movimentoController.getInserirItemMovimento}"
							update="panelItemMovimento itemMovimento painelItens growl" />

					</p:panelGrid>
					<br />
					<p:dataTable id="itemMovimento" scrollable="true"
						scrollHeight="300"
						value="#{movimentoController.movimento.itensMovimento}"
						var="itens" emptyMessage="Nenhum Produto foi adicionado">

						<p:column headerText="Produto/Serviço" width="300">
							<h:outputText value="#{itens.itemMovimento.nomeProduto}" />
						</p:column>

						<p:column headerText="Quantidade">
							<h:outputText value="#{itens.quantidadeItemMovimento}" />
						</p:column>

						<p:column headerText="Valor">
							<h:outputText value="#{itens.valorItemMovimento}">
								<f:convertNumber type="currency" locale="pt_BR" />
							</h:outputText>
						</p:column>

						<p:column headerText="Desconto" footerText="Sub-Total:">
							<h:outputText value="#{itens.descontoItemMovimento}">
								<f:convertNumber type="currency" locale="pt_BR" />
							</h:outputText>
						</p:column>

						<p:column headerText="Total"
							footerText="#{movimentoController.valorTotalDosItemsMovimento}">
							<h:outputText value="#{itens.totalItemMovimento}">
								<f:convertNumber type="currency" locale="pt_BR" />
							</h:outputText>
						</p:column>

						<p:column headerText="Ação">
							<p:commandLink update=":tabVendas:frm:itemMovimento"
								process=":tabVendas:frm:itemMovimento" actionListener="#{movimentoController.roolbackEstoqueProduto}"
								onclick="if (!confirm('Deseja realmente remover este registro?')) return false">
								<f:attribute name="itensMovimento" value="#{itens}" />
								<p:graphicImage value="/resources/images/excluir.jpg" width="24" height="24" />
								<p:collector value="#{itens}"
									removeFrom="#{movimentoController.movimento.itensMovimento}"
									unique="true" />
							</p:commandLink>
						</p:column>
					</p:dataTable>
				</p:panel>
				<p:panel>
					<p:commandButton id="finalizar" value="Finalizar"
						update="status finalizar painelCliente painelItens growl"
						action="#{movimentoController.getFinalizarVenda}" process="@this"
						disabled="#{!movimentoController.ativo}" 
						onstart="PF('Loading').show();" onsuccess="PF('Loading').hide();"/>

					<p:commandButton value="Cancelar" id="botaoCancelar"
						disabled="#{!movimentoController.ativo}"
						actionListener="#{movimentoController.desativar}"
						update="status iniciar painelCliente painelItens finalizar botaoCancelar"
						process="@this">
						<p:resetInput target="painelCliente painelItens" />
					</p:commandButton>
				</p:panel>
			</h:form>
		</p:tab>
		<p:tab title="Pesquisa">
			<h:form id="frmCons">
				<p:panelGrid columns="4" id="panel-consulta"
					style="padding-top: 10px;" styleClass="semBorda">
					
					<p:outputLabel value="Nome do Cliente:" />
					<p:inputText maxlength="80" size="60"
						value="#{movimentoController.pesquisaMovimento.nomeCliente}" />
						
					<p:outputLabel value="Numero da Venda: " />
					<p:inputText maxlength="80"
						value="#{movimentoController.pesquisaMovimento.numeroVenda}" />

					<p:outputLabel value="Data Inicial:" />
					<p:calendar id="inicial" pattern="dd/MM/yyyy"
						value="#{movimentoController.pesquisaMovimento.dateIncial}"
						mask="true" />
					<p:outputLabel value="Data Final: " />
					<p:calendar id="final" pattern="dd/MM/yyyy"
						value="#{movimentoController.pesquisaMovimento.dateFinal}"
						mask="true" />
				</p:panelGrid>

				<center>
					<p:commandButton value="Buscar" id="buscar"
						actionListener="#{movimentoController.consultaDeMovimentos}"
						update=":tabVendas:frmCons:tblMovimentos growl"
						process="@this :tabVendas:frmCons:panel-consulta :tabVendas:frmCons:tblMovimentos" />
				</center>
				<br />

				<p:dataTable id="tblMovimentos" paginator="true" rows="10"
					paginatorPosition="bottom" rowStyleClass="#{mov.status == 'C' ? 'vencido' : null}"
					value="#{movimentoController.listaMovimentos}" var="mov"
					emptyMessage="Nenhum Movimento">

					<p:column headerText="Num. Venda" width="100">
						<h:outputText value="#{mov.numeroMovimento}" />
					</p:column>
					<p:column headerText="Data" width="100">
						<h:outputText value="#{mov.dataMovimento}">
							<f:convertDateTime timeZone="America/Sao_Paulo" locale="pt_BR" dateStyle="long" pattern="dd/MM/yyyy" />
						</h:outputText>
					</p:column>
					<p:column headerText="Cliente">
						<h:outputText value="#{mov.clienteMovimento.nome}" />
					</p:column>
					<p:column headerText="Valor" width="100">
						<h:outputText value="#{mov.totalMovimento}">
							<f:convertNumber locale="pt_BR" type="currency"/>
						</h:outputText>
					</p:column>
					<p:column headerText="Venda/Devolução/Cancelamento" width="150" >
						<h:outputText value="#{mov.status.descricao}"/>
					</p:column>

					<p:column headerText="Ações" width="150">
						<p:commandButton icon="ui-icon-search" title="Visualizar Itens"
							oncomplete="PF('dlgItens').show()"
							actionListener="#{movimentoController.itensMovimento}">
							<f:attribute name="movimento" value="#{mov}" />
						</p:commandButton>
						
						<p:commandButton icon="ui-icon-trash" title="Devolução"
							disabled="#{!(mov.idMovimentoOrgem == null) or (mov.status == 'C')}"
							actionListener="#{movimentoController.devolucao}"
							onclick="tabView.select(0); return false;">
							<f:attribute name="movimento" value="#{mov}" />
						</p:commandButton>
						
						<p:commandButton icon="ui-icon-close" title="Cancelar Venda"
							disabled="#{!(mov.idMovimentoOrgem == null) or (mov.status == 'C')}"
							actionListener="#{movimentoController.cancelarPedido}"
							update=":tabVendas:frmCons:tblMovimentos growl">
							<f:attribute name="movimento" value="#{mov}" />	
						</p:commandButton>
						
						<p:commandButton icon="ui-icon-print" title="Imprimir #{mov.status.descricao}"
							disabled="#{(mov.status == 'C')}"
							actionListener="#{movimentoController.impressaoVendaDevolucao}"
							update=":tabVendas:frmCons:tblMovimentos growl">
							<f:attribute name="movimento" value="#{mov}" />	
						</p:commandButton>
					</p:column>
				</p:dataTable>

				
				
				<p:dialog id="dialogItens" header="" widgetVar="dlgItens"
					modal="true">
					<p:panelGrid>
						<p:outputLabel
							value="#{movimentoController.movimentoSelecionado.clienteMovimento.nome}" />
					</p:panelGrid>
				</p:dialog>
			</h:form>

		</p:tab>
	</p:tabView>
</ui:composition>